Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228452 - [gu_IN] Dependent Vowel is treated as Independent vowel (0AE2/0AE3)
Summary: [gu_IN] Dependent Vowel is treated as Independent vowel (0AE2/0AE3)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: qt
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On: 228451
Blocks: 228455
TreeView+ depends on / blocked
 
Reported: 2007-02-13 06:56 UTC by A S Alam
Modified: 2013-07-03 00:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-23 15:37:24 UTC


Attachments (Terms of Use)
Incorrect Image (deleted)
2007-02-13 06:56 UTC, A S Alam
no flags Details
correct image from Unicode (deleted)
2007-02-13 06:57 UTC, A S Alam
no flags Details
Patch for gu_IN Dependent Vowel sign (deleted)
2007-02-13 09:50 UTC, Sachin Tawniya
no flags Details | Diff

Description A S Alam 2007-02-13 06:56:46 UTC
Description of problem:
0AE2/OAE3 unicode of Gujarati treated as Independent vowel in konqueror, kedit,
so shown NO Dotted circle before this,

Version-Release number of selected component (if applicable):
qt-3.3.7-2.fc7

How reproducible:
Everytime during type this

Steps to Reproduce:
1. open kedit/kate
2. with unicode input (rawcode with scim), type 0AE2 and 0AE3
3. for copy paste this (ૢ and ૣ a)
  
Actual results:
treated as Independent Vowel (NO dotted circle before)

Expected results:
Dependent vowel, so A DOtted cirecle before

Additional info:
check output of gedit

Images are attached

Comment 1 A S Alam 2007-02-13 06:56:46 UTC
Created attachment 147963 [details]
Incorrect Image

Comment 2 A S Alam 2007-02-13 06:57:52 UTC
Created attachment 147964 [details]
correct image from Unicode

Comment 3 Sachin Tawniya 2007-02-13 09:50:34 UTC
Created attachment 147968 [details]
Patch for gu_IN Dependent Vowel sign

The script engine was reading 0AE2/0AE3 as "Other" format. Changed the
scriptengine.cpp file with respect to its position.
Thanks & Regards,
Sachin

Comment 4 Ngo Than 2007-04-23 15:37:24 UTC
it's fixed in qt-3.3.8-5.fc7. Sachin, thanks for the fix.

Comment 5 A S Alam 2007-08-23 09:06:30 UTC
Than,
where can I get this package to test?
thanks


Note You need to log in before you can comment on or make changes to this bug.